Guard Curtis:
The Ruins of Despair were originally the village of Lostern. Before the war, it was a prosperous farm village, but the Gracian army reduced it to ashes. The ghosts of the soldiers that were cruelly slaughtered while trying to protect the village still roam there, with their swords and bows, not knowing that the war is over.
Not long ago, the lord dispatched some workers to reconstruct the village, but they were all killed by the undead. I hope it's clear to you how dangerous it is.
Of course, even after they are warned, many young people believe the rumors of hidden relics and go out hunting for them ...
Return